Skip to content
Navigation

Pages a webhook endpoint's recent deliveries: status, attempts and last response code.

GET
https://api.sherpo.io/merchant/v1/stores/{store}/webhook_deliveries

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    The store's id.

Query parameters

  • filter
    optional
    object

    filter[<field>]=<value> is an equality, filter[<field>][<op>]=<value> names the operator; in repeats the parameter.

  • sort
    optional
    created
  • direction
    optional
    asc
    or
    desc
  • limit
    optional
    integer
    maximum: 100 · minimum: 1
  • cursor
    optional
    string
    maxLength: 8192
  • count
    optional
    boolean

Returns

200

Pages a webhook endpoint's recent deliveries: status, attempts and last response code.

JSON
  • items
    array of
    object
    required
    • id
      string
      required
    • webhook_id
      string
      required
    • event_id
      string
      required
    • event
      string
      required
    • status
      string
      required
    • attempts
      number
      required
    • response_status
      required

      One of the following:

      • number
      • null
    • last_error
      required

      One of the following:

      • string
      • null
    • created_at
      string
      required
    • next_attempt_at
      required

      One of the following:

      • string
      • null
    • waiting
      required

      One of the following:

      • string
      • null
    • stuck
      boolean
      required
    • undone
      boolean
      required
    • settled_at
      required

      One of the following:

      • string
      • null
  • cursor
    required

    One of the following:

    • string
    • null
  • total
    optional
    number
  • facets
    optional
    map of
    map<number>
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close